# Gimp.Image.convert_color_profile_from_file

    @accepts(Gimp.Image, Gio.File, Gimp.ColorRenderingIntent, bool)
    @returns(bool)
    def convert_color_profile_from_file(self, file, intent, bpc):
        # Python wrapper for gimp_image_convert_color_profile_from_file()

Convert the image's layers to a color profile

This procedure converts from the image's color profile (or the default RGB or grayscale profile if none is set) to an ICC profile specified by 'file'. Only RGB and grayscale color profiles are accepted, according to the image's type.

Since 2.10

self

  The image.

file

  The file containing the new color profile.

intent

  Rendering intent.

bpc

  Black point compensation.

Returns